Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Dec 2018 01:45:17 +0200

>> Please note that if there is no suitable window with at least 10 lines high,
>> it still displays the *Backtrace* buffer in random windows, every time
>> in another window because it doesn't remember a previous window.
>
> For starters, users can customize the number of lines by supplying a
> 'window-min-height' entry.  They can also provide an additional action
> function like 'display-buffer-below-selected' as fallback.  And
> finally we could try what I suggested earlier: Fill the *Backtrace*
> buffer first and pop to it afterwards using 'fit-window-to-buffer'.
> The attached untested patch tries to do that.

Thanks, this is much better.

Maybe then window-min-height should be dynamically calculated like

(window-min-height . ,(with-current-buffer debugger-buffer (count-lines (point-min) (point-max))))